<script lang="ts">
  import type { Repository } from "$lib/types/githubResults.type";
  import Paper, { Title, Subtitle, Content } from "@smui/paper";

  export let repository: Repository;
</script>

{#if repository.mainPaper}
  {console.log(repository.mainPaper)}
  <Paper data-test="detailed-details">
    <Title>{repository.mainPaper.title}</Title>
    <Subtitle
      >Released {repository.mainPaper.dateReleased.toLocaleDateString()}
      {repository.mainPaper.journal
        ? `in ${repository.mainPaper.journal}`
        : ""}</Subtitle
    >
    <Content>
      {repository.mainPaper.abstract}
    </Content>
  </Paper>
{:else}
  Not found
{/if}
